# Makefile for analog 5.32, libpng subdirectory
# Please read docs/Readme.html, or http://www.analog.cx/

HEADERS = png.h pngconf.h ../zlib/zlib.h
OBJS = png.obj pngerror.obj pngmem.obj pngset.obj pngtrans.obj pngwio.obj pngwrite.obj \
	pngwtran.obj pngwutil.obj

all: $(OBJS)

png.obj: png.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c png.c

pngerror.obj: pngerror.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngerror.c

pngmem.obj: pngmem.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngmem.c

pngset.obj: pngset.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngset.c

pngtrans.obj: pngtrans.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngtrans.c

pngwio.obj: pngwio.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwio.c

pngwrite.obj: pngwrite.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwrite.c

pngwtran.obj: pngwtran.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwtran.c

pngwutil.obj: pngwutil.c $(HEADERS) Makefile
	$(CC) $(ALLCFLAGS) $(INCDIRS) -c pngwutil.c

clean:
	rm -f *.obj *~
